<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>XMLConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XMLConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/SystemConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/XMLConfiguration.html" target="_top">Frames</a></li>
<li><a href="XMLConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Class XMLConfiguration" class="title">Class XMLConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">org.apache.commons.configuration2.event.BaseEventSource</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractConfiguration</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractHierarchicalConfiguration</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.BaseHierarchicalConfiguration</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.XMLConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>, <a href="../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a>, <a href="../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableHierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableHierarchicalConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>, <a href="../../../../org/apache/commons/configuration2/io/FileLocatorAware.html" title="interface in org.apache.commons.configuration2.io">FileLocatorAware</a>, <a href="../../../../org/apache/commons/configuration2/io/InputStreamSupport.html" title="interface in org.apache.commons.configuration2.io">InputStreamSupport</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a>, <a href="../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a>, <a href="../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;, <a href="../../../../org/apache/commons/configuration2/tree/NodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">NodeModelSupport</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">XMLConfiguration</span>
extends <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a>
implements <a href="../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/io/FileLocatorAware.html" title="interface in org.apache.commons.configuration2.io">FileLocatorAware</a>, <a href="../../../../org/apache/commons/configuration2/io/InputStreamSupport.html" title="interface in org.apache.commons.configuration2.io">InputStreamSupport</a></pre>
<div class="block"><p>
 A specialized hierarchical configuration class that is able to parse XML
 documents.
 </p>
 <p>
 The parsed document will be stored keeping its structure. The class also
 tries to preserve as much information from the loaded XML document as
 possible, including comments and processing instructions. These will be
 contained in documents created by the <code>save()</code> methods, too.
 </p>
 <p>
 Like other file based configuration classes this class maintains the name and
 path to the loaded configuration file. These properties can be altered using
 several setter methods, but they are not modified by <code>save()</code> and
 <code>load()</code> methods. If XML documents contain relative paths to other
 documents (e.g. to a DTD), these references are resolved based on the path
 set for this configuration.
 </p>
 <p>
 By inheriting from <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2"><code>AbstractConfiguration</code></a> this class provides some
 extended functionality, e.g. interpolation of property values. Like in
 <a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><code>PropertiesConfiguration</code></a> property values can contain delimiter
 characters (the comma ',' per default) and are then split into multiple
 values. This works for XML attributes and text content of elements as well.
 The delimiter can be escaped by a backslash. As an example consider the
 following XML fragment:
 </p>

 <pre>
 &lt;config&gt;
   &lt;array&gt;10,20,30,40&lt;/array&gt;
   &lt;scalar&gt;3\,1415&lt;/scalar&gt;
   &lt;cite text="To be or not to be\, this is the question!"/&gt;
 &lt;/config&gt;
 </pre>

 <p>
 Here the content of the <code>array</code> element will be split at the commas, so
 the <code>array</code> key will be assigned 4 values. In the <code>scalar</code>
 property and the <code>text</code> attribute of the <code>cite</code> element the comma
 is escaped, so that no splitting is performed.
 </p>
 <p>
 The configuration API allows setting multiple values for a single attribute,
 e.g. something like the following is legal (assuming that the default
 expression engine is used):
 </p>

 <pre>
 XMLConfiguration config = new XMLConfiguration();
 config.addProperty(&quot;test.dir[@name]&quot;, &quot;C:\\Temp\\&quot;);
 config.addProperty(&quot;test.dir[@name]&quot;, &quot;D:\\Data\\&quot;);
 </pre>

 <p>
 However, in XML such a constellation is not supported; an attribute can
 appear only once for a single element. Therefore, an attempt to save a
 configuration which violates this condition will throw an exception.
 </p>
 <p>
 Like other <code>Configuration</code> implementations, <code>XMLConfiguration</code>
 uses a <a href="../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert"><code>ListDelimiterHandler</code></a> object for controlling list split
 operations. Per default, a list delimiter handler object is set which
 disables this feature. XML has a built-in support for complex structures
 including list properties; therefore, list splitting is not that relevant for
 this configuration type. Nevertheless, by setting an alternative
 <code>ListDelimiterHandler</code> implementation, this feature can be enabled. It
 works as for any other concrete <code>Configuration</code> implementation.
 </p>
 <p>
 Whitespace in the content of XML documents is trimmed per default. In most
 cases this is desired. However, sometimes whitespace is indeed important and
 should be treated as part of the value of a property as in the following
 example:
 </p>
 <pre>
   &lt;indent&gt;    &lt;/indent&gt;
 </pre>

 <p>
 Per default the spaces in the <code>indent</code> element will be trimmed
 resulting in an empty element. To tell <code>XMLConfiguration</code> that spaces
 are relevant the <code>xml:space</code> attribute can be used, which is defined in
 the <a href="http://www.w3.org/TR/REC-xml/#sec-white-space">XML
 specification</a>. This will look as follows:
 </p>
 <pre>
   &lt;indent <strong>xml:space=&quot;preserve&quot;</strong>&gt;    &lt;/indent&gt;
 </pre>

 <p>
 The value of the <code>indent</code> property will now contain the spaces.
 </p>
 <p>
 <code>XMLConfiguration</code> implements the <a href="../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2"><code>FileBasedConfiguration</code></a>
 interface and thus can be used together with a file-based builder to load XML
 configuration files from various sources like files, URLs, or streams.
 </p>
 <p>
 Like other <code>Configuration</code> implementations, this class uses a
 <code>Synchronizer</code> object to control concurrent access. By choosing a
 suitable implementation of the <code>Synchronizer</code> interface, an instance
 can be made thread-safe or not. Note that access to most of the properties
 typically set through a builder is not protected by the <code>Synchronizer</code>.
 The intended usage is that these properties are set once at construction time
 through the builder and after that remain constant. If you wish to change
 such properties during life time of an instance, you have to use the
 <code>lock()</code> and <code>unlock()</code> methods manually to ensure that other
 threads see your changes.
 </p>
 <p>
 More information about the basic functionality supported by
 <code>XMLConfiguration</code> can be found at the user's guide at
 <a href="http://commons.apache.org/proper/commons-configuration/userguide/howto_basicfeatures.html">
 Basic features and AbstractConfiguration</a>. There is
 also a separate chapter dealing with
 <a href="commons.apache.org/proper/commons-configuration/userguide/howto_xml.html">
 XML Configurations</a> in special.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>commons-configuration 1.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: XMLConfiguration.java 1799980 2017-06-26 20:21:16Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>J&ouml;rg Schaible</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.BuilderVisitor.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration.BuilderVisitor</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#XMLConfiguration--">XMLConfiguration</a></span>()</code>
<div class="block">Creates a new instance of <code>XMLConfiguration</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#XMLConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">XMLConfiguration</a></span>(<a href="../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>XMLConfiguration</code> and copies the
 content of the passed in configuration into this object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#createDocumentBuilder--">createDocumentBuilder</a></span>()</code>
<div class="block">Creates the <code>DocumentBuilder</code> to be used for loading files.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/transform/Transformer.html?is-external=true" title="class or interface in javax.xml.transform">Transformer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#createTransformer--">createTransformer</a></span>()</code>
<div class="block">Creates and initializes the transformer used for save operations.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getDocument--">getDocument</a></span>()</code>
<div class="block">Returns the XML document this configuration was loaded from.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getDocumentBuilder--">getDocumentBuilder</a></span>()</code>
<div class="block">Returns the <code>DocumentBuilder</code> object that is used for
 loading documents.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getEntityResolver--">getEntityResolver</a></span>()</code>
<div class="block">Returns the EntityResolver.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getPublicID--">getPublicID</a></span>()</code>
<div class="block">Returns the public ID of the DOCTYPE declaration from the loaded XML
 document.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getRootElementNameInternal--">getRootElementNameInternal</a></span>()</code>
<div class="block">Returns the name of the root element.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#getSystemID--">getSystemID</a></span>()</code>
<div class="block">Returns the system ID of the DOCTYPE declaration from the loaded XML
 document.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;loc)</code>
<div class="block">Passes the current <code>FileLocator</code> to this object.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#isSchemaValidation--">isSchemaValidation</a></span>()</code>
<div class="block">Returns the value of the schemaValidation flag.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#isValidating--">isValidating</a></span>()</code>
<div class="block">Returns the value of the validating flag.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#read-java.io.InputStream-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given input stream.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given reader.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setDocumentBuilder-javax.xml.parsers.DocumentBuilder-">setDocumentBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;documentBuilder)</code>
<div class="block">Sets the <code>DocumentBuilder</code> object to be used for loading
 documents.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setEntityResolver-org.xml.sax.EntityResolver-">setEntityResolver</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a>&nbsp;resolver)</code>
<div class="block">Sets a new EntityResolver.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setPublicID-java.lang.String-">setPublicID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicID)</code>
<div class="block">Sets the public ID of the DOCTYPE declaration.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setRootElementName-java.lang.String-">setRootElementName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the name of the root element.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setSchemaValidation-boolean-">setSchemaValidation</a></span>(boolean&nbsp;schemaValidation)</code>
<div class="block">Sets the value of the schemaValidation flag.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setSystemID-java.lang.String-">setSystemID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemID)</code>
<div class="block">Sets the system ID of the DOCTYPE declaration.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#setValidating-boolean-">setValidating</a></span>(boolean&nbsp;validating)</code>
<div class="block">Sets the value of the validating flag.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#validate--">validate</a></span>()</code>
<div class="block">Validate the document against the Schema.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</code>
<div class="block">Saves the configuration to the specified writer.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-">childConfigurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-boolean-">childConfigurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#cloneNodeModel--">cloneNodeModel</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-">configurationAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-boolean-">configurationAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-">configurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-boolean-">configurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#createSubConfigurationForTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.InMemoryNodeModelSupport-">createSubConfigurationForTrackedNode</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getNodeModel--">getNodeModel</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getSubConfigurationNodeSelector-java.lang.String-">getSubConfigurationNodeSelector</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getSubConfigurationParentModel--">getSubConfigurationParentModel</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableChildConfigurationsAt-java.lang.String-">immutableChildConfigurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationAt-java.lang.String-">immutableConfigurationAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationAt-java.lang.String-boolean-">immutableConfigurationAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationsAt-java.lang.String-">immutableConfigurationsAt</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#initSubConfigurationForThisParent-org.apache.commons.configuration2.SubnodeConfiguration-">initSubConfigurationForThisParent</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#interpolatedConfiguration--">interpolatedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#subnodeConfigurationChanged-org.apache.commons.configuration2.event.ConfigurationEvent-">subnodeConfigurationChanged</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#subset-java.lang.String-">subset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractHierarchicalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addNodes-java.lang.String-java.util.Collection-">addNodes</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addNodesInternal-java.lang.String-java.util.Collection-">addNodesInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearInternal--">clearInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearTree-java.lang.String-">clearTree</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearTreeInternal-java.lang.String-">clearTreeInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clone--">clone</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#fetchNodeList-java.lang.String-">fetchNodeList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getExpressionEngine--">getExpressionEngine</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getKeysInternal--">getKeysInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getKeysInternal-java.lang.String-">getKeysInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getMaxIndex-java.lang.String-">getMaxIndex</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getMaxIndexInternal-java.lang.String-">getMaxIndexInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getModel--">getModel</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getRootElementName--">getRootElementName</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#isEmptyInternal--">isEmptyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#nodeDefined-T-">nodeDefined</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#nodeKey-T-java.util.Map-org.apache.commons.configuration2.tree.NodeHandler-">nodeKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveAddKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveAddKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveNodeKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveNodeKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveUpdateKey-T-java.lang.String-java.lang.Object-org.apache.commons.configuration2.tree.NodeHandler-">resolveUpdateKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#setExpressionEngine-org.apache.commons.configuration2.tree.ExpressionEngine-">setExpressionEngine</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">setPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#sizeInternal--">sizeInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addErrorLogListener--">addErrorLogListener</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#append-org.apache.commons.configuration2.Configuration-">append</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginRead-boolean-">beginRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginWrite-boolean-">beginWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clear--">clear</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#cloneInterpolator-org.apache.commons.configuration2.AbstractConfiguration-">cloneInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#copy-org.apache.commons.configuration2.Configuration-">copy</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endRead--">endRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endWrite--">endWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConfigurationDecoder--">getConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConversionHandler--">getConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getListDelimiterHandler--">getListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLogger--">getLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-java.util.Properties-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#initLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">initLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.Object-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.String-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isScalarValue-java.lang.Object-">isScalarValue</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isThrowExceptionOnMissing--">isThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#size--">size</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.BaseEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.event.<a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">BaseEventSource</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearErrorListeners--">clearErrorListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearEventListeners--">clearEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#copyEventListeners-org.apache.commons.configuration2.event.BaseEventSource-">copyEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createErrorEvent-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">createErrorEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">createEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireError-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">fireError</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">fireEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListenerRegistrations--">getEventListenerRegistrations</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#isDetailEvents--">isDetailEvents</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#setDetailEvents-boolean-">setDetailEvents</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.Configuration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/Configuration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#clear--">clear</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html#subset-java.lang.String-">subset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.ImmutableConfiguration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#size--">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.sync.SynchronizerSupport">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.sync.<a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="XMLConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>XMLConfiguration</h4>
<pre>public&nbsp;XMLConfiguration()</pre>
<div class="block">Creates a new instance of <code>XMLConfiguration</code>.</div>
</li>
</ul>
<a name="XMLConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>XMLConfiguration</h4>
<pre>public&nbsp;XMLConfiguration(<a href="../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</pre>
<div class="block">Creates a new instance of <code>XMLConfiguration</code> and copies the
 content of the passed in configuration into this object. Note that only
 the data of the passed in configuration will be copied. If, for instance,
 the other configuration is a <code>XMLConfiguration</code>, too,
 things like comments or processing instructions will be lost.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - the configuration to copy</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.4</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRootElementNameInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRootElementNameInternal</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRootElementNameInternal()</pre>
<div class="block">Returns the name of the root element. If this configuration was loaded
 from a XML document, the name of this document's root element is
 returned. Otherwise it is possible to set a name for the root element
 that will be used when this configuration is stored.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getRootElementNameInternal--">getRootElementNameInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>&lt;<a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the root element</dd>
</dl>
</li>
</ul>
<a name="setRootElementName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRootElementName</h4>
<pre>public&nbsp;void&nbsp;setRootElementName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Sets the name of the root element. This name is used when this
 configuration object is stored in an XML file. Note that setting the name
 of the root element works only if this configuration has been newly
 created. If the configuration was loaded from an XML file, the name
 cannot be changed and an <code>UnsupportedOperationException</code>
 exception is thrown. Whether this configuration has been loaded from an
 XML document or not can be found out using the <code>getDocument()</code>
 method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the root element</dd>
</dl>
</li>
</ul>
<a name="getDocumentBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentBuilder</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;getDocumentBuilder()</pre>
<div class="block">Returns the <code>DocumentBuilder</code> object that is used for
 loading documents. If no specific builder has been set, this method
 returns <b>null</b>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>DocumentBuilder</code> for loading new documents</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
</dl>
</li>
</ul>
<a name="setDocumentBuilder-javax.xml.parsers.DocumentBuilder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocumentBuilder</h4>
<pre>public&nbsp;void&nbsp;setDocumentBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;documentBuilder)</pre>
<div class="block">Sets the <code>DocumentBuilder</code> object to be used for loading
 documents. This method makes it possible to specify the exact document
 builder. So an application can create a builder, configure it for its
 special needs, and then pass it to this method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>documentBuilder</code> - the document builder to be used; if undefined, a
 default builder will be used</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
</dl>
</li>
</ul>
<a name="getPublicID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPublicID</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPublicID()</pre>
<div class="block">Returns the public ID of the DOCTYPE declaration from the loaded XML
 document. This is <b>null</b> if no document has been loaded yet or if
 the document does not contain a DOCTYPE declaration with a public ID.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the public ID</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
<a name="setPublicID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPublicID</h4>
<pre>public&nbsp;void&nbsp;setPublicID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicID)</pre>
<div class="block">Sets the public ID of the DOCTYPE declaration. When this configuration is
 saved, a DOCTYPE declaration will be constructed that contains this
 public ID.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>publicID</code> - the public ID</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
<a name="getSystemID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemID</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemID()</pre>
<div class="block">Returns the system ID of the DOCTYPE declaration from the loaded XML
 document. This is <b>null</b> if no document has been loaded yet or if
 the document does not contain a DOCTYPE declaration with a system ID.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the system ID</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
<a name="setSystemID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSystemID</h4>
<pre>public&nbsp;void&nbsp;setSystemID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemID)</pre>
<div class="block">Sets the system ID of the DOCTYPE declaration. When this configuration is
 saved, a DOCTYPE declaration will be constructed that contains this
 system ID.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemID</code> - the system ID</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
<a name="isValidating--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidating</h4>
<pre>public&nbsp;boolean&nbsp;isValidating()</pre>
<div class="block">Returns the value of the validating flag.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the validating flag</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
</dl>
</li>
</ul>
<a name="setValidating-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidating</h4>
<pre>public&nbsp;void&nbsp;setValidating(boolean&nbsp;validating)</pre>
<div class="block">Sets the value of the validating flag. This flag determines whether
 DTD/Schema validation should be performed when loading XML documents. This
 flag is evaluated only if no custom <code>DocumentBuilder</code> was set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validating</code> - the validating flag</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
</dl>
</li>
</ul>
<a name="isSchemaValidation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSchemaValidation</h4>
<pre>public&nbsp;boolean&nbsp;isSchemaValidation()</pre>
<div class="block">Returns the value of the schemaValidation flag.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the schemaValidation flag</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="setSchemaValidation-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSchemaValidation</h4>
<pre>public&nbsp;void&nbsp;setSchemaValidation(boolean&nbsp;schemaValidation)</pre>
<div class="block">Sets the value of the schemaValidation flag. This flag determines whether
 DTD or Schema validation should be used. This
 flag is evaluated only if no custom <code>DocumentBuilder</code> was set.
 If set to true the XML document must contain a schemaLocation definition
 that provides resolvable hints to the required schemas.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>schemaValidation</code> - the validating flag</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="setEntityResolver-org.xml.sax.EntityResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEntityResolver</h4>
<pre>public&nbsp;void&nbsp;setEntityResolver(<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a>&nbsp;resolver)</pre>
<div class="block">Sets a new EntityResolver. Setting this will cause RegisterEntityId to have no
 effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resolver</code> - The EntityResolver to use.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="getEntityResolver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntityResolver</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a>&nbsp;getEntityResolver()</pre>
<div class="block">Returns the EntityResolver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The EntityResolver.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="getDocument--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocument</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;getDocument()</pre>
<div class="block">Returns the XML document this configuration was loaded from. The return
 value is <b>null</b> if this configuration was not loaded from a XML
 document.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the XML document this configuration was loaded from</dd>
</dl>
</li>
</ul>
<a name="createDocumentBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocumentBuilder</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;createDocumentBuilder()
                                         throws <a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/ParserConfigurationException.html?is-external=true" title="class or interface in javax.xml.parsers">ParserConfigurationException</a></pre>
<div class="block">Creates the <code>DocumentBuilder</code> to be used for loading files.
 This implementation checks whether a specific
 <code>DocumentBuilder</code> has been set. If this is the case, this
 one is used. Otherwise a default builder is created. Depending on the
 value of the validating flag this builder will be a validating or a non
 validating <code>DocumentBuilder</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>DocumentBuilder</code> for loading configuration
 files</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/ParserConfigurationException.html?is-external=true" title="class or interface in javax.xml.parsers">ParserConfigurationException</a></code> - if an error occurs</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
</dl>
</li>
</ul>
<a name="createTransformer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransformer</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/transform/Transformer.html?is-external=true" title="class or interface in javax.xml.transform">Transformer</a>&nbsp;createTransformer()
                                 throws <a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Creates and initializes the transformer used for save operations. This
 base implementation initializes all of the default settings like
 indention mode and the DOCTYPE. Derived classes may overload this method
 if they have specific needs.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the transformer to use for a save operation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
<a name="initFileLocator-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initFileLocator</h4>
<pre>public&nbsp;void&nbsp;initFileLocator(<a href="../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;loc)</pre>
<div class="block">Passes the current <code>FileLocator</code> to this object. Note that this
 <code>FileLocator</code> object is only temporarily valid for the following
 invocation of <code>read()</code> or <code>write(</code>. Depending on the state of
 the <code>FileHandler</code> and which of its methods was called, the object
 may not be fully initialized. For instance, if the <code>FileHandler</code>'s
 <code>load(InputStream)</code> method was called, no file information is
 available, and all methods of the <code>FileLocator</code> will return
 <b>null</b>. Stores the passed in locator for the upcoming IO operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/io/FileLocatorAware.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/io/FileLocatorAware.html" title="interface in org.apache.commons.configuration2.io">FileLocatorAware</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loc</code> - the current <code>FileLocator</code></dd>
</dl>
</li>
</ul>
<a name="read-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public&nbsp;void&nbsp;read(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)
          throws <a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a>,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Loads the configuration from the given reader.
 Note that the <code>clear()</code> method is not called, so
 the properties contained in the loaded file will be added to the
 current set of properties.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/io/FileBased.html#read-java.io.Reader-">read</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the reader</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an IO error occurs</dd>
</dl>
</li>
</ul>
<a name="read-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public&nbsp;void&nbsp;read(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)
          throws <a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a>,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Loads the configuration from the given input stream. This is analogous to
 <a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html#read-java.io.Reader-"><code>read(Reader)</code></a>, but data is read from a stream. Note that this
 method will be called most time when reading an XML configuration source.
 By reading XML documents directly from an input stream, the file's
 encoding can be correctly dealt with.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/io/InputStreamSupport.html#read-java.io.InputStream-">read</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/io/InputStreamSupport.html" title="interface in org.apache.commons.configuration2.io">InputStreamSupport</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the input stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an IO error occurs</dd>
</dl>
</li>
</ul>
<a name="write-java.io.Writer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)
           throws <a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a>,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Saves the configuration to the specified writer.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/io/FileBased.html#write-java.io.Writer-">write</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>writer</code> - the writer used to save the configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an IO error occurs</dd>
</dl>
</li>
</ul>
<a name="validate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>validate</h4>
<pre>public&nbsp;void&nbsp;validate()
              throws <a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Validate the document against the Schema.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if the validation fails.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/SystemConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/XMLConfiguration.html" target="_top">Frames</a></li>
<li><a href="XMLConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
